## kanatest 0.3.6

=== po/Makefile ===
# Makefile for program source directory in GNU NLS utilities package.
# Copyright (C) 1995, 1996, 1997 by Ulrich Drepper <drepper@gnu.ai.mit.edu>
#
# This file file be copied and used freely without restrictions.  It can
# be used in projects which are not available under the GNU Public License
# but which still want to provide support for the GNU gettext functionality.
# Please note that the actual code is *not* freely available.
#
# - Modified by Owen Taylor <otaylor@redhat.com> to use GETTEXT_PACKAGE
#   instead of PACKAGE and to look for po2tbl in ./ not in intl/
#
# - Modified by jacob berkman <jacob@ximian.com> to install
#   Makefile.in.in and po2tbl.sed.in for use with glib-gettextize

GETTEXT_PACKAGE = kanatest
PACKAGE = kanatest
VERSION = 0.3.1

SHELL = /bin/sh


srcdir = .
top_srcdir = ..
top_builddir = ..


prefix = /usr/local
exec_prefix = ${prefix}
datadir = ${prefix}/share
libdir = ${exec_prefix}/lib
localedir = $(libdir)/locale
gnulocaledir = $(datadir)/locale
gettextsrcdir = $(datadir)/glib-2.0/gettext/po
subdir = po

INSTALL = /usr/bin/install -c
INSTALL_DATA = ${INSTALL} -m 644
MKINSTALLDIRS = $(top_srcdir)/./mkinstalldirs

CC = gcc
GENCAT = @GENCAT@
GMSGFMT = /usr/local/bin/msgfmt
MSGFMT = /usr/local/bin/msgfmt
XGETTEXT = /usr/local/bin/xgettext
INTLTOOL_UPDATE = @INTLTOOL_UPDATE@
INTLTOOL_EXTRACT = @INTLTOOL_EXTRACT@
MSGMERGE = INTLTOOL_EXTRACT=$(INTLTOOL_EXTRACT) $(INTLTOOL_UPDATE) --gettext-package $(GETTEXT_PACKAGE) --dist
GENPOT   = INTLTOOL_EXTRACT=$(INTLTOOL_EXTRACT) $(INTLTOOL_UPDATE) --gettext-package $(GETTEXT_PACKAGE) --pot

DEFS = -DHAVE_CONFIG_H
CFLAGS = -g -O2
CPPFLAGS = 

INCLUDES = -I.. -I$(top_srcdir)/intl

COMPILE = $(CC) -c $(DEFS) $(INCLUDES) $(CPPFLAGS) $(CFLAGS) $(XCFLAGS)

SOURCES = 
POFILES =  pl.po de.po
GMOFILES =  pl.gmo de.gmo
DISTFILES = ChangeLog Makefile.in.in POTFILES.in $(GETTEXT_PACKAGE).pot \
$(POFILES) $(GMOFILES) $(SOURCES)

POTFILES = \
	../src/gui.c \
	../src/test.c \

CATALOGS =  pl.gmo de.gmo
CATOBJEXT = .gmo
INSTOBJEXT = .mo

.SUFFIXES:
.SUFFIXES: .c .o .po .pox .gmo .mo .msg .cat

.c.o:
	$(COMPILE) $<

.po.pox:
	$(MAKE) $(GETTEXT_PACKAGE).pot
	$(MSGMERGE) $< $(srcdir)/$(GETTEXT_PACKAGE).pot -o $*.pox

.po.mo:
	$(MSGFMT) -o $@ $<

.po.gmo:
	file=$(srcdir)/`echo $* | sed 's,.*/,,'`.gmo \
	  && rm -f $$file && $(GMSGFMT) -o $$file $<

.po.cat:
	sed -f ../intl/po2msg.sed < $< > $*.msg \
	  && rm -f $@ && $(GENCAT) $@ $*.msg


all: all-yes

all-yes: $(CATALOGS)
all-no:

$(srcdir)/$(GETTEXT_PACKAGE).pot: $(POTFILES)
	$(GENPOT)

install: install-exec install-data
install-exec:
install-data: install-data-yes
install-data-no: all
install-data-yes: all
	if test -r "$(MKINSTALLDIRS)"; then \
	  $(MKINSTALLDIRS) $(DESTDIR)$(datadir); \
	else \
	  $(SHELL) $(top_srcdir)/mkinstalldirs $(DESTDIR)$(datadir); \
	fi
	@catalogs='$(CATALOGS)'; \
	for cat in $$catalogs; do \
	  cat=`basename $$cat`; \
	  case "$$cat" in \
	    *.gmo) destdir=$(gnulocaledir);; \
	    *)     destdir=$(localedir);; \
	  esac; \
	  lang=`echo $$cat | sed 's/\$(CATOBJEXT)$$//'`; \
	  dir=$(DESTDIR)$$destdir/$$lang/LC_MESSAGES; \
	  if test -r "$(MKINSTALLDIRS)"; then \
	    $(MKINSTALLDIRS) $$dir; \
	  else \
	    $(SHELL) $(top_srcdir)/mkinstalldirs $$dir; \
	  fi; \
	  if test -r $$cat; then \
	    $(INSTALL_DATA) $$cat $$dir/$(GETTEXT_PACKAGE)$(INSTOBJEXT); \
	    echo "installing $$cat as $$dir/$(GETTEXT_PACKAGE)$(INSTOBJEXT)"; \
	  else \
	    $(INSTALL_DATA) $(srcdir)/$$cat $$dir/$(GETTEXT_PACKAGE)$(INSTOBJEXT); \
	    echo "installing $(srcdir)/$$cat as" \
		 "$$dir/$(GETTEXT_PACKAGE)$(INSTOBJEXT)"; \
	  fi; \
	  if test -r $$cat.m; then \
	    $(INSTALL_DATA) $$cat.m $$dir/$(GETTEXT_PACKAGE)$(INSTOBJEXT).m; \
	    echo "installing $$cat.m as $$dir/$(GETTEXT_PACKAGE)$(INSTOBJEXT).m"; \
	  else \
	    if test -r $(srcdir)/$$cat.m ; then \
	      $(INSTALL_DATA) $(srcdir)/$$cat.m \
		$$dir/$(GETTEXT_PACKAGE)$(INSTOBJEXT).m; \
	      echo "installing $(srcdir)/$$cat as" \
		   "$$dir/$(GETTEXT_PACKAGE)$(INSTOBJEXT).m"; \
	    else \
	      true; \
	    fi; \
	  fi; \
	done
	if test "$(PACKAGE)" = "glib"; then \
	  if test -r "$(MKINSTALLDIRS)"; then \
	    $(MKINSTALLDIRS) $(DESTDIR)$(gettextsrcdir); \
	  else \
	    $(SHELL) $(top_srcdir)/mkinstalldirs $(DESTDIR)$(gettextsrcdir); \
	  fi; \
	  $(INSTALL_DATA) $(srcdir)/Makefile.in.in \
			  $(DESTDIR)$(gettextsrcdir)/Makefile.in.in; \
	else \
	  : ; \
	fi

# Define this as empty until I found a useful application.
installcheck:

uninstall:
	catalogs='$(CATALOGS)'; \
	for cat in $$catalogs; do \
	  cat=`basename $$cat`; \
	  lang=`echo $$cat | sed 's/\$(CATOBJEXT)$$//'`; \
	  rm -f $(DESTDIR)$(localedir)/$$lang/LC_MESSAGES/$(GETTEXT_PACKAGE)$(INSTOBJEXT); \
	  rm -f $(DESTDIR)$(localedir)/$$lang/LC_MESSAGES/$(GETTEXT_PACKAGE)$(INSTOBJEXT).m; \
	  rm -f $(DESTDIR)$(gnulocaledir)/$$lang/LC_MESSAGES/$(GETTEXT_PACKAGE)$(INSTOBJEXT); \
	  rm -f $(DESTDIR)$(gnulocaledir)/$$lang/LC_MESSAGES/$(GETTEXT_PACKAGE)$(INSTOBJEXT).m; \
	done
	rm -f $(DESTDIR)$(gettextsrcdir)/po-Makefile.in.in

check: all

dvi info tags TAGS ID:

mostlyclean:
	rm -f core core.* *.pox $(GETTEXT_PACKAGE).po *.old.po cat-id-tbl.tmp
	rm -fr *.o

clean: mostlyclean

distclean: clean
	rm -f Makefile Makefile.in POTFILES *.mo *.msg *.cat *.cat.m

maintainer-clean: distclean
	@echo "This command is intended for maintainers to use;"
	@echo "it deletes files that may require special tools to rebuild."
	rm -f $(GMOFILES)

distdir = ../$(GETTEXT_PACKAGE)-$(VERSION)/$(subdir)
dist distdir: update-po $(DISTFILES)
	dists="$(DISTFILES)"; \
	for file in $$dists; do \
	  ln $(srcdir)/$$file $(distdir) 2> /dev/null \
	    || cp -p $(srcdir)/$$file $(distdir); \
	done

update-po: Makefile
	$(MAKE) $(GETTEXT_PACKAGE).pot
	cd $(srcdir); \
	catalogs='$(CATALOGS)'; \
	for cat in $$catalogs; do \
	  cat=`basename $$cat`; \
	  lang=`echo $$cat | sed 's/\$(CATOBJEXT)$$//'`; \
	  cp $$lang.po $$lang.old.po; \
	  echo "$$lang:"; \
	  if $(MSGMERGE) $$lang; then \
	    rm -f $$lang.old.po; \
	  else \
	    echo "msgmerge for $$cat failed!"; \
	    rm -f $$lang.po; \
	    mv $$lang.old.po $$lang.po; \
	  fi; \
	done

.po: Makefile
	$(MAKE)  $(PACKAGE).pot;
	PATH=`pwd`/../src:$$PATH; \
	echo; printf "$*: "; \
	if $(MSGMERGE) $*; then \
	  rm -f $*.old.po; \
	  else \
	    echo "msgmerge for * failed!"; \
	    mv $*.old.po $*.po; \
	fi; \
	msgfmt --statistics $*.po; echo;


# POTFILES is created from POTFILES.in by stripping comments, empty lines
# and Intltool tags (enclosed in square brackets), and appending a full
# relative path to them
POTFILES: POTFILES.in
	( if test 'x$(srcdir)' != 'x.'; then \
	    posrcprefix='$(top_srcdir)/'; \
	  else \
	    posrcprefix="../"; \
	  fi; \
	  rm -f $@-t $@ \
	    && (sed -e '/^#/d' 						\
		    -e "s/^\[.*\] +//" 					\
		    -e '/^[ 	]*$$/d' 				\
		    -e "s@.*@	$$posrcprefix& \\\\@" < $(srcdir)/$@.in	\
		| sed -e '$$s/\\$$//') > $@-t \
	    && chmod a-w $@-t \
	    && mv $@-t $@ )

Makefile: Makefile.in.in ../config.status POTFILES
	cd .. \
	  && CONFIG_FILES=$(subdir)/$@.in CONFIG_HEADERS= \
	       $(SHELL) ./config.status

# Tell versions [3.59,3.63) of GNU make not to export all variables.
# Otherwise a system limit (for SysV at least) may be exceeded.
.NOEXPORT:

## kanatest 0.4.8

=== debian/changelog ===
kanatest (0.4.8-4) unstable; urgency=medium

  * Team upload.
  * Drop deprecated menu file and xpm icon.
  * Remove README.source.
  * Switch to compat level 10.
  * wrap-and-sort -sa.
  * Declare compliance with Debian Policy 4.0.0.
  * kanatest.desktop: Add keywords and a comment in German.
  * Add remove-DISABLE_DEPRECATED-flags.patch and fix FTBFS.
    (Closes: #868315)
  * Use secure Vcs-address.
  * Remove Evgeni Golov from Uploaders at his request.
  * Add with-debug-symbols.patch and enable the debug symbols.

 -- Markus Koschany <apo@debian.org>  Tue, 18 Jul 2017 11:14:27 +0200

kanatest (0.4.8-3) unstable; urgency=low

  * Add patch to drop GTK_DISABLE_DEPRECATED. (Closes: #634350).
    + Thanks to Colin Watson for the patch.
  * Update 003_gtk_ftbfs_fix.patch to fix string format error.
  * Move to source format 3.0 (quilt).
    + Drop build-dep on quilt.
  * Update to dh style rules.
    + Bump debhelper build-dep and compat to 9.
  * Update VCS tags.
  * Bump Standards Version to 3.9.4.

 -- Barry deFreese <bdefreese@debian.org>  Wed, 26 Jun 2013 18:48:56 -0400

kanatest (0.4.8-2.1) unstable; urgency=low

  * Non-maintainer upload.
  * debian/control
    - Update to use appropriate Japanese font (Closes: #642941)

 -- Hideki Yamane <henrich@debian.org>  Wed, 12 Sep 2012 07:49:02 +0900

kanatest (0.4.8-2) unstable; urgency=low

  * debian/control:
    + Update my email address.
    + Update the homepage link.
    + Standards-Version: 3.9.1
  * debian/watch:
    + Upstream homepage has moved, update watchfile.
  * Add 002_updated_emails_and_links.patch to fix old links and emails.
    LP: #462599
  * Add 003_gtk_ftbfs_fix.patch to fix FTBFS with GTK+ >= 2.22.
  * Set 1.0 in debian/source/format.

 -- Evgeni Golov <evgeni@debian.org>  Mon, 28 Mar 2011 13:35:04 +0200

kanatest (0.4.8-1) unstable; urgency=low

  * New upstream release.
  * debian/patches/004_ru_po.diff:
    + Drop the patch, upstream has updated the translation.
  * debian/copyright:
    + Update copyright years.
  * debian/control:
    + Bump Standards-Version to 3.8.1, no changes.

 -- Evgeni Golov <sargentd@die-welt.net>  Fri, 17 Apr 2009 08:52:58 +0200

kanatest (0.4.6-2) unstable; urgency=low

  [ Barry deFreese ]
  * Update my e-mail address.

  [ Evgeni Golov ]
  * Upload to unstable again.
  * debian/patches/004_ru_po.diff:
    + Update russian translation.
  * debian/patches/{003_de_po,002_kfreebsd_fix}.diff:
    + Really drop patches, not only not apply them.

 -- Evgeni Golov <sargentd@die-welt.net>  Mon, 16 Feb 2009 21:16:37 +0100

kanatest (0.4.6-1) experimental; urgency=low

  * New upstream release, upload to experimental.
  * debian/patches/003_de_po.diff:
    + Applied upstream, thus droped.
  * debian/patches/002_kfreebsd_fix.diff
    + upstream has cleaned up the includes, patch droped.
  * debian/kanatest.6:
    + Set section to 1, not 6
    + Rename to kanatest.1
  * debian/rules:
    + Install binary to /usr/bin, data to /usr/share.
    + Set LDFLAGS="-Wl,-z,defs -Wl,--as-needed" to tighten deps.
    + dh_installchangelogs only takes one argument, install the README
      correctly with dh_installdocs and not install AUTHORS at all.
    + Remove the comment header.
    + Only pass --host= to configure when cross-building.
    + Clean up the clean target.
  * debian/copyright:
    + Use the machine-readable format.
  * debian/control:
    + Add ${misc:Depends} to Depends.
  * debian/patches/001_PATH_MAX_fix.diff:
    + Hurd does not have PATH_MAX, fix FTBFS by defining it.

 -- Evgeni Golov <sargentd@die-welt.net>  Thu, 18 Dec 2008 22:32:47 +0100

kanatest (0.4.4-2) unstable; urgency=low

  [ Barry deFreese ]
  * Bump Standars Version to 3.7.3 (No changes needed)

  [ Ansgar Burchardt ]
  * debian/menu:
    + Change section to Applications/Education instead of Games
  * debian/kanatest.desktop:
    + Change categories to Education, Languages instead of Game
  * debian/control:
    + Change section to text instead of games

  [ Evgeni Golov ]
  * debian/rules:
    + let config.stamp depend on $(QUILT_STAMPFN) instead of patch
      so configure isn't run twice
    + wrap the configure options for better reading
    + don't set CFLAGS, let dpkg handle them
  * debian/patches/003_de_po.diff:
    + Add German translation, thanks Mathias Brodala <info@noctus.net>!
      Closes: #500064
  * debian/control:
    + Bump Standars-Version to 3.8.0
    + Add myself to Uploaders
  * debian/README.source:
    + Add README.source with information about quilt-usage, as
      recommended by Policy

 -- Sam Hocevar (Debian packages) <sam+deb@zoy.org>  Thu, 25 Sep 2008 11:58:15 +0000

kanatest (0.4.4-1) unstable; urgency=low

  [ Eddy Petrișor ]
  * Gtk should be written as GTK in the desktop file
  * added a Romanian translation of the comment in the desktop file

  [ Cyril Brulebois ]
  * Adjusted XS-Vcs-Svn and XS-Vcs-Browser fields in the control file.

  [ Barry deFreese ]
  * New upstream release (Closes: #451414)
  * Add watch file (Closes: #451416)
  * Add Homepage field in control
  * Make distclean not ignore errors
  * Remove XS- from VCS fields in control
  * Fix up clean target
  * Revert 000_config_sub_guess.diff - Improved upstream build system
  * 002_kfreebsd_fix.diff (Closes: #416873)
    + Conditionally include limits.h on linux - Fixes FTBFS on kfreebsd
    + Thanks to Cyril Brulebois for the patch
  * Add myself to uploaders
  * Remove deprecated Encoding field from desktop and fix categories
  * Include quilt.make and fix rules to patch/unpatch

  [ Mike O'Connor ]
  * make sure docs/*.pmo are built (Closes: #441711)
  * add missing build-depends on gettext

  [ Paul Wise ]
  * Move non-free ttf-mikachan from Recommends to Suggests
  * Add a descriptive longtitle to the menu file
  * Support noopt and nostrip properly

 -- Sam Hocevar (Debian packages) <sam+deb@zoy.org>  Mon, 19 Nov 2007 14:12:32 +0930

kanatest (0.4.2-2) unstable; urgency=low

  * debian/control:


=== debian/control ===
Source: kanatest
Section: text
Priority: optional
Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
Uploaders:
 Sam Hocevar <sho@debian.org>,
 Barry deFreese <bdefreese@debian.org>
Build-Depends:
 autotools-dev,
 debhelper (>= 10),
 gettext,
 libgtk2.0-dev (>= 2.0),
 libxml2-dev
Standards-Version: 4.0.0
Homepage: http://clayo.org/kanatest/
Vcs-Svn: svn://anonscm.debian.org/pkg-games/packages/trunk/kanatest/
Vcs-Browser: https://anonscm.debian.org/viewvc/pkg-games/packages/trunk/kanatest/

Package: kanatest
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends}
Recommends:
 fonts-ipafont-mincho | fonts-japanese-mincho
Suggests:
 fonts-mikachan
Description: beginner's drill game to learn Japanese kana characters
 Kanatest is a simple hiragana and katakana drill game. It checks your
 knowledge of Japanese kana characters.
 .
 There are three drill modes: hiragana mode (hiragana charset only), katakana
 mode (katakana charset only) and mixed mode (both charsets). The tester shows
 random kana characters and waits until you enter the romaji equivalent in an
 entry field. At the end, statistics are provided.

=== debian/rules ===
#!/usr/bin/make -f

# These are used for cross-compiling and for saving the configure script
# from having to guess our platform (since we know it already)
DEB_HOST_GNU_TYPE   ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
DEB_BUILD_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)

configure_flags += --build=$(DEB_BUILD_GNU_TYPE)

ifneq ($(DEB_BUILD_GNU_TYPE),$(DEB_HOST_GNU_TYPE))
        configure_flags += --host=$(DEB_HOST_GNU_TYPE)
endif

%:
	dh $@ --without autoreconf --with autotools_dev

override_dh_auto_configure:
	dh_auto_configure -- $(configure_flags) \
		--prefix=/usr \
		--bindir=\$${prefix}/bin \
		--mandir=\$${prefix}/share/man \
		--infodir=\$${prefix}/share/info \
		--datadir=\$${prefix}/share

=== debian/watch ===
version=3
http://clayo.org/kanatest/ kanatest-([\d.]+)\.tar\.gz

## kanatest 0.4.8maemo1

=== debian/changelog ===
kanatest (0.4.8maemo1) fremantle; urgency=low

  * Initial Maemo port

 -- Aki Nyman <aki.nyman@gmail.com>  Sat, 13 Mar 2010 19:47:58 +0200

=== debian/control ===
Source: kanatest
Section: user/education
Priority: extra
Maintainer: Aki Nyman <aki.nyman@gmail.com>
XSBC-Original-Maintainer: Tomasz Maka <pasp@users.sourceforge.net>, Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
Build-Depends: debhelper (>= 5.0), libgtk2.0-dev (>= 2.0), libxml2-dev, gettext, autotools-dev,
 conbtdialogs-dev, libgconf2-dev, libosso-gnomevfs2-dev, libglib2.0-dev, osso-af-settings, libhildon1-dev, 
 libcairo2-dev, libosso-dev, libhildonfm2-dev
Standards-Version: 3.7.2
Homepage: http://clayo.org/kanatest/

Package: kanatest
Architecture: any
Depends: ${shlibs:Depends}
Description: beginner's drill game to learn Japanese kana characters
 Kanatest is a simple hiragana and katakana drill game. It checks your
 knowledge of Japanese kana characters.
 .
 There are three drill modes: hiragana mode (hiragana charset only), katakana
 mode (katakana charset only) and mixed mode (both charsets). The tester shows
 random kana characters and waits until you enter the romaji equivalent in an
 entry field. At the end, statistics are provided.
XB-Maemo-Display-Name: kanatest
XSBC-Bugtracker: mailto:aki.nyman@gmail.com
XB-Maemo-Icon-26:
 iVBORw0KGgoAAAANSUhEUgAAADAAAAApCAYAAABz26rUAAAAAXNSR0IArs4c
 6QAAAAZiS0dEAP8A/wD/oL2nkwAAAAlwSFlzAAALEwAACxMBAJqcGAAAAAd0
 SU1FB9kKFggFIfkqQgYAAAAZdEVYdENvbW1lbnQAQ3JlYXRlZCB3aXRoIEdJ
 TVBXgQ4XAAAGo0lEQVRYw+1ZbUxU6RV+7id37jD3CiyooICKGbJ8DFrbRKX4
 w210bUwTjDE2S/xItppIsm79YVONTUw3ptIC3fqnJg2xrppstBijxkaJBtig
 KyJtQ2tApQZWFh2mjOJUdu59n/5YZoIE7Lp1GEx6/kzmnfve+zzvOec595wB
 EmSmab7w3ev14o0z0zTTTNOc6/V65clIzVTQsCxLNgxjJ4A7APoURbnq8XjS
 3hhPeDyeNXl5eTxz5gz7+/vFzp07aVlW3xsTOpZl/b6mpoYkBUk+fPhQ5Ofn
 0zCM7Nf9LDkRBCRJyjIMAwAkAJg7d64UCAQQjUbffSMIKIoixhKWsTWfzweS
 pm3bkq7rhsfjeS3PVhJBQAhhDw4Orl+zZo1kWRZGRkZw5coVFhYWrps9e/Yv
 IpHIz4eGhlINw7jnOM6/PB4PHMeZEckLANB1fQWAaENDA2MWiUToOA4jkYjo
 7OxkVVUVJUn6p67r78T2xvYn1QzDKLQsy62pqeHo6KjgBBPi6yXHcURdXR1t
 23YMw/hw3P7kgdd1PU/X9eG6urq4AsUAT2GisbGR+fn5lGX5I9M01WQWMAnA
 gQ0bNohvAn7cb+L69essLCykpmnvJgV8SkoKNE1Lk2W5p62tja8AnkIIuq7L
 PXv2UNO095Mio7ZtS5Ikfbxx48aCQCDAsVoAACA5WZ1AOBzGxYsX4bouZFlG
 bm4uElHo/uvJj+n+T4uLi/ngwYN4+Ny/f5/RaHRSTwghGAwGuXTpUlZXV9N1
 XZ47d45paWl/T0bilgAInjhxIg6wt7dX+P1+Hjp0aMpwGh0d5ZYtWyhJEru6
 utjS0sLMzMy/TBdoAICqqhqA41VVVSRJ13VFT08Pi4qKCKAdwLORkZEpc6G2
 tpaSJLGhoYFtbW1xApqmJS4HdF2Px7UQYktZWdl7dXV1AMBjx45J5eXl6Orq
 +hhATU5OjnjZ67PX64WiKOjp6YFt25Bl2QCAaDQ6LV74jtfr/ffp06dJUhw9
 epSWZVFRlB/puq4C+NWBAwdeqkgnT56kruu8dOkSg8Egs7Ozqet6bkKBK4oy
 OzU19VpWVhb37dsnXNcVBw8eJIAvFUX54ZjKZHo8nt6Ojo6XFTHevn1b+Hw+
 NjU1MRQKMTs7m5qmLUgoAU3T/rB161b29vby+fPn3LFjB2VZfqAoyvfGXfbd
 FStWMBwOv5TAjRs3hG3boqKigpWVlTRN86+qqr5Sy6Z+i9BZuXr1agwPD3Pz
 5s1SR0dHB4CNruveV1UVjuNA07Qfl5eXw+v1kqQUqwkTrbu7WxJC3G5ubv4I
 gKkoyp9d132maVri8kCW5Wrbtp9lZGREAHzi8XhSJilsfzt79uykVTf26TgO
 d+3aRVmWq6dN81U17rASACt9Pp88mezl5OTEilpc84PB4AtEhoeHWVpa6gAo
 mjYCiqJ8o7U5c+awu7s7DrixsZG3bt16wQsXLlwggCZJkszJ7pFMm7do0SKG
 QiGS5KNHj1hcXMympqY4odbWVhYUFHwF4IMZg3rcKf5u7dq1cbDnz5+n3+/n
 48ePY4SE3+8ngN+kpqbqM3Gq0nX8+PE4gcrKSu7du5eu69J1XbF//36qqnpr
 rH/ATAuftwGEgsGgIMknT57Q6/Xy2rVrJMmBgQEuWLDgKwCBKcYxySdgWVbI
 dV1BkocPH2ZRURGfPn1Kkjx16hQBnAegAUgF8H0A7wBYpWlaykwgkQXgi8HB
 QZLksmXL2NraGlfPJUuWuAB2a5pmAmgtLS2NbN++3cnLy3sO4I+KohiyLCfd
 C/+4evUq7927x02bNsVz4ciRIwTwJYA0AH+qqKiINzzBYJDLly8ngJ9MO9px
 LlcB1C9cuNDt6+sTkUiEd+7cIUnR0tLC9PR0Anhv7Nqzly9ffqEu1NbWMiUl
 5ZUJ/M/+Gtfz/jYQCHzQ2Ngoz5s3T1JVFX6/H3fv3pW2bduGUCi0D8AnMd6x
 SdzYAVAIMWn/PF3mS09P582bN0lSNDc3s7m5mSTF4sWLXQC/nDDG/DQQCDAc
 DguS7O/vZ0lJCQFsSxaBjNLSUg4NDYn29naxfv16kmR9fT0BdCuK8taEGZIM
 oCk3N3d43bp1TzMzM8MAjmqapiZLhVRN09rLyso4a9Ys1tfXC5LcvXs3Afxs
 CnlMAbASwA8AVGRkZHwr5K9rlOdEo9FVnZ2dOoDP58+fXwAAAwMDAPDFxPmQ
 JEkgOQrgs9ja0NDQjKnGvwYwAKAPQBDAqoSqYILum42v/9yQADzE/21q+w9o
 HMOy05zqBwAAAABJRU5ErkJggg==
 ====

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1




CFLAGS = -Wall -g

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -O0
else
	CFLAGS += -O2
endif

configure: configure-stamp
configure-stamp:
	dh_testdir
	# Add here commands to configure the package.
	./autogen.sh
	./configure --enable-maemo --prefix=/usr
	./config.status --file=po/Makefile.in
	touch configure-stamp


build: build-stamp

build-stamp: configure-stamp 
	dh_testdir

	# Add here commands to compile the package.
	$(MAKE)
	#docbook-to-man debian/kanatest.sgml > kanatest.1

	touch $@

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp

	# Add here commands to clean up after the build process.
	-$(MAKE) clean

	dh_clean 

install: build
	dh_testdir
	dh_testroot
	dh_clean -k 
	dh_installdirs

	# Add here commands to install the package into debian/kanatest.
	$(MAKE) DESTDIR=$(CURDIR)/debian/kanatest install


# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs ChangeLog
	dh_installdocs
	dh_installexamples
#	dh_install
#	dh_installmenu
#	dh_installdebconf	
#	dh_installlogrotate
#	dh_installemacsen
#	dh_installpam
#	dh_installmime
#	dh_python
#	dh_installinit
#	dh_installcron
#	dh_installinfo
	dh_installman
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
#	dh_perl
#	dh_makeshlibs
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure

## kanatest 0.4.8maemo2

=== debian/changelog ===
kanatest (0.4.8maemo2) fremantle; urgency=low

  * Kanatest XB-Maemo-Icon replaced with new one

 -- Aki Nyman <aki.nyman@gmail.com>  Sat, 20 Mar 2010 17:40:30 +0200

## kanatest 0.4.10~git20200611.860e790

=== debian/changelog ===
kanatest (0.4.10~git20200611.860e790-2) unstable; urgency=medium

  * Team upload
  * Remove obsolete macro AM_PATH_XML2 (Closes: #1106626)

  [ Alexandre Detiste ]
  * replace deprecated pkg-config by pkgconf

 -- Bastian Germann <bage@debian.org>  Mon, 18 Aug 2025 12:29:51 +0200

kanatest (0.4.10~git20200611.860e790-1) unstable; urgency=medium

  * Team upload.
  * Drop abandoned Homepage.
  * d/watch: Scan sourceforge's git.
  * New upstream version 0.4.10~git20200611.860e790.
  * d/copyright: Set Source.
  * Rebase patches.
  * Build with GTK 3. (Closes: #967549)

 -- Bastian Germann <bage@debian.org>  Wed, 18 Oct 2023 20:51:12 +0000

kanatest (0.4.8-5) unstable; urgency=medium

  * Team upload.
  * debian/changelog: Trim trailing whitespace.
  * debian/control:
    + Switch to debhelper-compat v13 and drop debian/compat file.
    + Build-Depends: add pkg-config; drop autotools-dev.
    + Raise Standards-Version to 4.6.1 from 4.0.0 (no changes needed).
    + Declare Rules-Requires-Root: no.
  * debian/copyright: Convert to DEP-5 format and update for 2022.
  * debian/patches:
    + Drop 004_enable_deprecated.patch, remove-DISABLE_DEPRECATED-flags.patch
      and with-debug-symbols.patch (all superseded).
    + Make upstream's Makefile.am files POSIX-compatible to allow `autoreconf'
      to regenerate the `configure' script.
    + Build with deprecated GDK PIXBUF and GTK symbols to avoid a segfault.
    + Enable cross-compiling with pkg-config (Closes: #929039).
    + Use pkg-config to find GTK+ 2 and libxml2 (Closes: #949404).
    + Pass Debian's build flags to the compiler.
    + Refresh 001_PATH_MAX_fix.diff.
  * debian/rules:
    + Drop legacy dh options: --without autoreconf, --with autotools_dev.
    + Drop dh_auto_configure override.
    + Create a top-level m4 directory before running dh_autoreconf.
    + Add hardening flags to DEB_BUILD_MAINT_OPTIONS.
  * debian/watch: Use version 4.

  [ Markus Koschany ]
  * Remove Sam Hocevar from Uploaders because he is longer active.
    (Closes: #1011580)

 -- Hugh McMaster <hugh.mcmaster@outlook.com>  Wed, 24 Aug 2022 12:47:59 +1000

=== debian/control ===
Source: kanatest
Section: text
Priority: optional
Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
Uploaders:
 Barry deFreese <bdefreese@debian.org>
Build-Depends:
 debhelper-compat (= 13),
 gettext,
 libgtk-3-dev,
 libxml2-dev,
 pkgconf,
Standards-Version: 4.6.1
Rules-Requires-Root: no
Vcs-Git: https://salsa.debian.org/games-team/kanatest.git
Vcs-Browser: https://salsa.debian.org/games-team/kanatest

Package: kanatest
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends}
Recommends:
 fonts-ipafont-mincho | fonts-japanese-mincho
Suggests:
 fonts-mikachan
Description: beginner's drill game to learn Japanese kana characters
 Kanatest is a simple hiragana and katakana drill game. It checks your
 knowledge of Japanese kana characters.
 .
 There are three drill modes: hiragana mode (hiragana charset only), katakana
 mode (katakana charset only) and mixed mode (both charsets). The tester shows
 random kana characters and waits until you enter the romaji equivalent in an
 entry field. At the end, statistics are provided.

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export DEB_CFLAGS_MAINT_APPEND = -I/usr/include/libxml2

%:
	dh $@

execute_before_dh_autoreconf:
	mkdir -p m4

=== debian/watch ===
version=4
opts=mode=git,pretty=0.4.10~git%cd.%h \
https://git.code.sf.net/p/kanatest/code HEAD
